
Katello - Bug #6472

404 not found when clicking on "Add" immediately after clicking existing/creating new

package-group filter name

07/02/2014 10:23 AM - Brad Buckingham

Status: Closed   

Priority: Normal   

Assignee: Brad Buckingham   

Category: Web UI   

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1113230 Red Hat JIRA:  

Pull request:    

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1113230

Description of problem:

I was trying to verify bz 1111145, and found that we when immediately click on 'Add' button after clicking package group filter name.

Page went into Loading state. And firebug raises 404 not found. Also a long trace back raised in production.log

Version-Release number of selected component (if applicable):

sat6 beta snap10 compose3

How reproducible:

always

Steps to Reproduce:

1. create a repo rhel65_x64

2. create CV add repo to it

3. create filter of type package-group

4. on creation, click on 'Add' ( without loading the page completely)

Actual results:

NetworkError: 404 Not Found - 

https://10.65.207.190/katello/api/v2/content_view_filters//available_package_groups?page=1&search="

Expected results:

I think 'Add' button should only be enabled when the page is fully loaded to prevent this issue.

Additional info:

Associated revisions

Revision b08843b4 - 07/07/2014 08:50 AM - Brad Buckingham

fixes #6472 / BZ 1113230 - content view filter - fix issue where filter not available

On the content view filter edit screens, it was possible for a

"really fast" user to click links that utilized the filter, before

it had actually been loaded.  Eg. Open a filter and click the 'Add' tab.

This small change will ensure that we do not render the content of the

filter edit, before the filter is actually available.

Revision 655fb1ae - 07/07/2014 08:50 AM - Brad Buckingham

fixes #6472 / BZ 1113230 - content view filter - fix issue where filter not available

On the content view filter edit screens, it was possible for a

"really fast" user to click links that utilized the filter, before

it had actually been loaded.  Eg. Open a filter and click the 'Add' tab.
This small change will ensure that we do not render the content of the

filter edit, before the filter is actually available.

Revision b6dac358 - 07/07/2014 09:18 AM - Brad Buckingham

Merge pull request #4379 from bbuckingham/issue-6472

fixes #6472 / BZ 1113230 - content view filter - fix issue where filter not available

Revision af8781f6 - 07/07/2014 09:18 AM - Brad Buckingham

Merge pull request #4379 from bbuckingham/issue-6472

fixes #6472 / BZ 1113230 - content view filter - fix issue where filter not available

History

#1 - 07/02/2014 10:24 AM - Brad Buckingham

- Assignee set to Brad Buckingham

- Target version set to 48

- Triaged changed from No to Yes

#2 - 07/07/2014 07:49 AM - Eric Helms

- Target version changed from 48 to 49

#3 - 07/07/2014 10:04 AM - Brad Buckingham

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset katello|b08843b4097c27ba683dabd4f59974d0d97113f4.

#4 - 08/22/2014 09:00 AM - Eric Helms

- translation missing: en.field_release set to 13
